Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gl4java.jau.awt.windows
Class MSWin32HandleAccess

    java.lang.Object
      |
      +--gl4java.jau.awt.windows.MSWin32HandleAccess

All Implemented Interfaces:
  WinHandleAccess

public class MSWin32HandleAccess
extends java.lang.Object
implements WinHandleAccess

The ms-windows implementation for accessing the native window handle This class has no user servicable parts inside. It is used internally by GLFrame and by our package spoofed sun.awt classes that give us internal access to window variables that we need to set up the OpenGL drawing ontext

Version:
  0.1, 3. JULY 1999
Author:
  Ron Cemer
See Also:
  `WinHandleAccess`

Field Summary
`protected int` | `depth`
`protected long` | `window`

Constructor Summary
`MSWin32HandleAccess()`

Method Summary
`protected void` | `achieveData(java.awt.Component c, java.awt.Graphics g)`
`int` | `getWinDepth(java.awt.Component c, java.awt.Graphics g)` get the color depth
`long` | `getWinHandle(java.awt.Component c, java.awt.Graphics g)` get the window handle

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### window

    protected long window

### depth

    protected int depth

Constructor Detail

### MSWin32HandleAccess

    public MSWin32HandleAccess()

Method Detail

### achieveData

    protected void achieveData(java.awt.Component c,
                               java.awt.Graphics g)

### getWinHandle

    public long getWinHandle(java.awt.Component c,
                             java.awt.Graphics g)

  get the window handle
  Specified by:
    `getWinHandle` in interface `WinHandleAccess`

### getWinDepth

    public int getWinDepth(java.awt.Component c,
                           java.awt.Graphics g)

  get the color depth
  Specified by:
    `getWinDepth` in interface `WinHandleAccess`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD